%define upstream_name	   Acme-Turing
%define upstream_version   0.02

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12
Summary:	Turing machine emulation
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/G/GR/GROMMEL/%upstream_name-%upstream_version.tar.gz
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)

BuildArch:	noarch
Obsoletes:	perl-Acme-Turing < 0.20.0-6

%description
This module gives you the methods needed to emulate a Turing machine in
Perl. This module is based on Turing's original paper, which allows
complete freedom in the actions to be taken before the machine enters a
new state. You can, of course, impose restrictions if you wish, as John
von Neumann's paper does.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.20.0-12.mga9
+ Revision: 1808151
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-11.mga8
+ Revision: 1503403
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-10.mga7
+ Revision: 1281546
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.20.0-9.mga7
+ Revision: 1162759
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 0.20.0-8.mga6
+ Revision: 1022189
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.20.0-7.mga6
+ Revision: 970229
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 sander85 <sander85> 0.20.0-6.mga6
+ Revision: 885326
- Convert to noarch package

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 748202
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 683430
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 508982
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 362834
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 162642
- imported package perl-Acme-Turing

